<template>
  <b-container>
    <b-row class="pt-5 hero">
      <b-col data-aos="fade-up" md="6" cols="12" class="hero-right d-md-none text-center">
        <b-img fluid src="~/assets/images/ilustrator/us-experience.png" />
      </b-col>
      <b-col md="6" data-aos="fade-left" cols="12" class="hero-left pt-5">
        <h1 class="hero-left__title">
          Mulai Belajar <br> Programming
        </h1>
        <h5 class="hero-left__subtitle my-3 mb-5">
          Raih kesempatan untuk sesuatu yang lebih
          <span class="big"> Besar </span>
        </h5>
        <p class="hero-left__description mb-4">
          Pelajaran hal yang kamu butuhkan disini, <br>
          dengan metode pembelajaran yg lebih efektif dan efisien.
          di mentoring oleh para profesional dibidangnya
        </p>
        <base-button class="px-5 bg-info">
          Daftar Sekarang
        </base-button>
      </b-col>
      <b-col data-aos="fade-right" md="6" cols="12" class="hero-right d-none d-sm-block text-center">
        <b-img fluid src="~/assets/images/ilustrator/us-experience.png" />
      </b-col>
    </b-row>
  </b-container>
</template>

<script>
export default {
  name: 'BaseHero'
}
</script>

<style lang="scss" scoped>
$color: #b0b0b0;
$main-color: #17A2B8;
$hover: #22707c;
.hero {
  &-left {
    &__title {
      color: $main-color;
      font-weight: bold;
    }
    &__subtitle {
      color: $main-color;
      .big {
        font-size: 20px;
        color: white;
        border-radius: 5px;
        font-weight: bold;
        transition: all 0.5s;
        color: $main-color;
        &:hover {
          text-transform: uppercase;
          padding: 10px 10px;
          color: white;
          background: $main-color;
        }
      }
    }
    &__description {
      color: $color;
      font-size: 14px;
    }
    button {
      background: linear-gradient(to left, rgb(86, 151, 184) 50%, rgb(29, 75, 90) 50%) right;
      background-size: 200%;
      transition: .5s ease-out;
      &:hover {
        background-position: left;
      }
    }
  }
  &-right {
  img {
    transition: all 1s;
      &:hover {
        transform: rotateY(150deg);
      }
    }
  }
}

@media only screen and(max-width: 480px) {
  .hero {
    &-left {
      &__subtitle {
        display: none;
      }
    }
  }
}
</style>
